Bug 1425146 - Blender UI flickering on viewport updates
Summary: Blender UI flickering on viewport updates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: blender
Version: 26
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1429245 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-20 16:33 UTC by Kai A. Hiller
Modified: 2017-03-23 18:21 UTC (History)
10 users (show)

Fixed In Version: blender-2.78b-2.fc25 blender-2.78c-2.fc24 blender-2.78c-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 17:20:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Kai A. Hiller 2017-02-20 16:33:37 UTC
Description of problem:
Whenever the viewport gets updated in blender, parts of the UI start to flicker.

In the flickering area it seems to display uninitialized video data as distorted content from closed programs can be seen; so this might be a video driver bug.

Version-Release number of selected component (if applicable):
blender 2.78a

How reproducible:
Trigger an update of the viewport in blender.

Steps to Reproduce:
1. Open Blender
2. Middle click and drag the viewport to move around the scene

Actual results:
The UI elements flicker as long as the camera moves

Expected results:
No flickering

Additional info:

$ lspci | grep VGA
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Tahiti PRO [Radeon HD 7950/8950 OEM / R9 280]

The bug occurs on X and Wayland.

Comment 1 Luya Tshimbalanga 2017-02-20 19:05:08 UTC
(In reply to Kai A. Hiller from comment #0)
> Description of problem:
> Whenever the viewport gets updated in blender, parts of the UI start to
> flicker.
> 

Hello Kai, 
Could you run this update
https://bodhi.fedoraproject.org/updates/FEDORA-2017-cb90d53994
or execute the command via terminal

sudo dnf upgrade blender --enablerepo=updates-testing

to see if that flickering issue goes away? 
It looks like a driver issue at the first impression but more information is needed.

Comment 2 Kai A. Hiller 2017-02-21 12:17:30 UTC
The problem persists in blender 2.78b.

As a note: I am on Rawhide, so I had to downgrade libGLEW from 2.0.0 → 1.13.0 to make the f25 package you suggested work.

Comment 3 Luya Tshimbalanga 2017-02-22 04:56:27 UTC
(In reply to Kai A. Hiller from comment #2)
> The problem persists in blender 2.78b.
> 
> As a note: I am on Rawhide, so I had to downgrade libGLEW from 2.0.0 →
> 1.13.0 to make the f25 package you suggested work.

It would not matter. It appears the issue is related to Radeon GPU driver  as I found a related problem on upstream bug report: https://developer.blender.org/T48817

I confirm the bug on my AMD/AMD hybrid laptop. However, I am unable to reproduce it on Virtualbox and Gnome Boxes. Need to further verify on nVidia and Intel hardware.

Comment 4 Luya Tshimbalanga 2017-02-22 06:55:42 UTC
Further research revealed a bug from upstream where blender with Window Draw Method set to automatic will not assign to Triple Buffer

https://developer.blender.org/T49945

Comment 5 Luya Tshimbalanga 2017-02-22 07:06:44 UTC
Could you try this workaround on terminal?
LIBGL_DRI3_DISABLE=1 blender

Comment 6 Kai A. Hiller 2017-02-22 12:12:33 UTC
Setting LIBGL_DRI3_DISABLE=1 fixes the issue. Also changing blender to use Triple Buffering fixes the issue (File → User Preferences → Window Draw Method: Triple Buffer).

Comment 7 Luya Tshimbalanga 2017-02-25 08:22:05 UTC
Could you test this scratch build on rawhide?
https://koji.fedoraproject.org/koji/taskinfo?taskID=18048028

It contains upstream patch that added missing AMD GPU detection. Please set Window Draw Method to Automatic and verify if the fix eliminates flickering on UI. Thanks.

Comment 8 Kai A. Hiller 2017-02-25 16:51:15 UTC
The build fixes the issue :)

Comment 9 Luya Tshimbalanga 2017-02-25 18:12:32 UTC
Excellent. The build is on the way. Please add karma to make it available on stable repository.

Comment 10 Fedora Update System 2017-02-25 20:34:52 UTC
blender-2.78b-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e827f09c86

Comment 11 Fedora Update System 2017-02-25 20:35:03 UTC
blender-2.78b-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c4ee520d53

Comment 12 Fedora Update System 2017-02-26 23:17:35 UTC
blender-2.78b-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e827f09c86

Comment 13 Fedora Update System 2017-02-26 23:18:43 UTC
blender-2.78b-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c4ee520d53

Comment 14 Fedora End Of Life 2017-02-28 12:23:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 15 Fedora Update System 2017-03-01 01:14:28 UTC
YafaRay-3.2.0-0.6.20170221git.fc25 LuxRender-1.6-9.fc25 blender-2.78c-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac6c25236a

Comment 16 Fedora Update System 2017-03-01 01:14:48 UTC
YafaRay-3.2.0-0.6.20170221git.fc24 LuxRender-1.6-9.fc24 blender-2.78c-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb813704bd

Comment 17 Fedora Update System 2017-03-01 01:25:08 UTC
blender-2.78b-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-03-02 02:21:21 UTC
LuxRender-1.6-9.fc25, YafaRay-3.2.0-0.6.20170221git.fc25, blender-2.78c-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac6c25236a

Comment 19 Fedora Update System 2017-03-02 02:51:57 UTC
LuxRender-1.6-9.fc24, YafaRay-3.2.0-0.6.20170221git.fc24, blender-2.78c-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb813704bd

Comment 20 Simone Caronni 2017-03-06 13:44:29 UTC
*** Bug 1429245 has been marked as a duplicate of this bug. ***

Comment 21 Fedora Update System 2017-03-11 07:43:15 UTC
LuxRender-1.6-11.fc25 YafaRay-3.2.0-0.6.20170221git.fc25 blender-2.78c-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac6c25236a

Comment 22 Fedora Update System 2017-03-11 07:46:38 UTC
LuxRender-1.6-11.fc24 YafaRay-3.2.0-0.6.20170221git.fc24 blender-2.78c-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb813704bd

Comment 23 Fedora Update System 2017-03-11 14:24:35 UTC
LuxRender-1.6-11.fc25, YafaRay-3.2.0-0.6.20170221git.fc25, blender-2.78c-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac6c25236a

Comment 24 Fedora Update System 2017-03-13 00:20:44 UTC
LuxRender-1.6-11.fc24, YafaRay-3.2.0-0.6.20170221git.fc24, blender-2.78c-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb813704bd

Comment 25 Fedora Update System 2017-03-15 01:29:43 UTC
LuxRender-1.6-11.fc25 YafaRay-3.2.0-0.6.20170221git.fc25 blender-2.78c-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac6c25236a

Comment 26 Fedora Update System 2017-03-15 01:31:27 UTC
LuxRender-1.6-11.fc24 YafaRay-3.2.0-0.6.20170221git.fc24 blender-2.78c-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb813704bd

Comment 27 Fedora Update System 2017-03-15 19:55:26 UTC
LuxRender-1.6-11.fc24, YafaRay-3.2.0-0.6.20170221git.fc24, blender-2.78c-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb813704bd

Comment 28 Fedora Update System 2017-03-15 19:57:16 UTC
LuxRender-1.6-11.fc25, YafaRay-3.2.0-0.6.20170221git.fc25, blender-2.78c-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac6c25236a

Comment 29 Fedora Update System 2017-03-23 17:20:41 UTC
LuxRender-1.6-11.fc24, YafaRay-3.2.0-0.6.20170221git.fc24, blender-2.78c-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2017-03-23 18:21:10 UTC
LuxRender-1.6-11.fc25, YafaRay-3.2.0-0.6.20170221git.fc25, blender-2.78c-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.